# 使用指定基础镜像
FROM node:20.18.3

RUN apt-get update 
RUN apt-get install -y python3 build-essential

# 设置工作目录
WORKDIR /app

# 复制package.json .npmrc和package-lock.json
COPY package.json .npmrc package-lock.json* ./

# 安装依赖
RUN npm install

# 复制项目文件
COPY . .

# 构建项目
RUN npm run build

# 暴露端口(根据实际需要调整)
EXPOSE 23972

# 启动命令
CMD ["npm", "run", "start"]